using FluentValidation;
using Indotalent.Shared.Consts;

namespace Indotalent.Features.Inventory.UnitMeasure.Cqrs;

public class CreateUnitMeasureValidator : AbstractValidator<CreateUnitMeasureRequest>
{
    public CreateUnitMeasureValidator()
    {
        RuleFor(x => x.Name)
            .NotEmpty().WithMessage("Unit Name is required")
            .MaximumLength(GlobalConsts.StringLengthShort);

        RuleFor(x => x.Description)
            .MaximumLength(GlobalConsts.StringLengthMedium);
    }
}